fillPreview_varLibColor_bright = (229/255, 234/255, 229/255)
fillPreview_mutMathColor_bright = (239/255,239/255,255/255)
strokePreview_filledStrokeColor_bright = (120/255, 120/255, 120/255)
measureLineColor_bright = (1,0,0.0)

fillPreview_varLibColor_dark = (44/255, 51/255, 39/255)
fillPreview_mutMathColor_dark = (42/255,42/255,63/255)
strokePreview_filledStrokeColor_dark = (200/255, 200/255, 200/255)
measureLineColor_dark = (0.85,0,0)

if __name__ == "__main__":
    rw = 80

    size(1000,1000)
    strokeWidth(2)
    fill(0)
    rect(0,0,width()*.5, height())

    save()
    save()
    for color in [fillPreview_varLibColor_bright, fillPreview_mutMathColor_bright, measureLineColor_bright]:
        fill(*color)
        stroke(*strokePreview_filledStrokeColor_bright)
        rect(100, 100, rw, 100)
        translate(100,0)
    restore()

    translate(width()*.5,0)
    save()
    for color in [fillPreview_varLibColor_bright, fillPreview_mutMathColor_bright, measureLineColor_bright]:
        fill(*color)
        lineDash(10,10)
        stroke(*strokePreview_filledStrokeColor_bright)
        rect(100, 100, rw, 100)
        translate(100,0)
    restore()
    restore()

    translate(0,500)

    save()
    save()
    for color in [fillPreview_varLibColor_dark, fillPreview_mutMathColor_dark, measureLineColor_dark]:
        fill(*color)
        lineDash(10,10)
        stroke(*strokePreview_filledStrokeColor_dark)
        rect(100, 100, rw, 100)
        translate(100,0)
    restore()

    translate(width()*.5,0)
    save()
    for color in [fillPreview_varLibColor_dark, fillPreview_mutMathColor_dark, measureLineColor_dark]:
        fill(*color)
        lineDash(10,10)
        stroke(*strokePreview_filledStrokeColor_dark)
        rect(100, 100, rw, 100)
        translate(100,0)
    restore()
    restore()


    saveImage("colorPalet.pdf")