import datetime
from datetime import date, datetime, timedelta

import mojo.extensions
skateboardBundle = mojo.extensions.ExtensionBundle("SkateBoard")

def getDaysRemainingFromSkateboardBundle():
    today = date.today() 
    now = datetime.now()

    editionLibKey = 'com.letterror.skateboardEdition'    # edition info from the bundle
    expireDate, edition = skateboardBundle.infoDictionary.get(editionLibKey, (None, None))
    remaining = None
    if expireDate is not "":
        d = datetime.strptime(expireDate, '%Y-%m-%d')
        remaining = (d - now)
    
        remaining = (d-now).days
    return remaining

print(getDaysRemainingFromSkateboardBundle())