from AppKit import *
from mojo.UI import *


def ShowFontWindow(font):
    windows = [w for w in NSApp().orderedWindows() if w.isVisible()]
    for window in windows:
        delegate = window.delegate()
        if not hasattr(delegate, "vanillaWrapper"):
            continue            
        vanillaWrapper = delegate.vanillaWrapper()
        if "DoodleFontWindow" in vanillaWrapper.__class__.__name__:
            if font.path == vanillaWrapper.document.font.path:                
                vanillaWrapper.w.show()

f = CurrentFont()
ShowFontWindow(f)